extern uint8_t ain[4];							//analog inputs (1-4)
extern uint16_t matrix[2];						//2x4x4 button matrix (two 16 bit numbers, each bit is a button 0=off 1=on)
extern uint16_t s_matrix[16][8][2];			//16 banks, each a sequence of 8 steps of 32 bits each
extern uint16_t midimatrix[2];
extern uint16_t buttonmatrix[2];
extern uint16_t switch_matrix[2];
extern uint16_t latchoff_matrix[2];
extern uint16_t latchon_matrix[2];


extern uint8_t curbank;
extern uint8_t seq_leds;							//state of seqeuncer leds
extern uint8_t cur;									//current matrix/patch/"step" in the sequencer

extern char timerflash;								//flag used to flash the bpm light
extern int play_timer,flash_timer; 					//variables used by the timer routines
extern int bank_indicate_flash;
//extern uint16_t bpm[16];					//the rotary encoder updated by interrupts
extern uint16_t bpm;

extern uint8_t knob_mode,save_mode,play_mode;		//indicates our mode
extern uint8_t bank_mode,path_mode, knob_layout_mode,midi_mode;
extern uint8_t save_bank_mode;
extern uint8_t length_mode;
extern uint8_t sub_knob_mode;

extern uint8_t just_stepped;

extern short clockreceived;
extern short ainchanged;

extern uint8_t	hold_menu_display;
extern uint8_t assign_midi_mode,assign_midi_curbut;
extern uint8_t assign_midi_value;				//the rotary encoder updated by interrupts
extern volatile uint8_t new_assign_midi_value;
extern uint8_t assigned_midi_notes[32];
#ifdef MAP_CCS_TO_BUTTONS
	extern uint8_t assigned_midi_CCbuttons[32];
#endif 
extern uint8_t CC_number[4];
extern uint8_t show_midi_menu_display;


extern unsigned short seven_seg_key;		//for indicating on the display
extern char seven_seg[4];

extern uint8_t trig_playpause;

extern uint8_t patch_play_start[16], patch_play_end[16];
extern uint8_t bank_play_start, bank_play_end;
extern uint8_t DUALMATRIXMODE;

extern uint8_t KNOBMODENAMES[4];
extern char* LENGTHNAMES[5];
extern char* REPEATNAMES[4];
extern char* KLNAMES[3];
extern char* MIDIMODENAMES[4];
