void output_shiftreg(unsigned short seq_leds, uint16_t matrixleds[2], char bpmvalue[4]);
void set_switches(uint16_t matrixsw[2]);
void number_to_string(uint16_t num, char str4[4]);
void string_to_string(char a[3], char d[4]);
void flash_seqs(uint8_t highlight);
void flash_save(void);
void flash_matrix(uint16_t output_matrix[2]);
void flash_one_bank(uint16_t output_matrix[2], uint8_t highlight);
void flash_matrix_on_matrix(uint16_t output_matrix[2],uint16_t flash_matrix[2],short brightness);
void flash_matrix_off_matrix(uint16_t output_matrix[2],uint16_t flash_matrix[2],short brightness);


/*
  ALPHA is the offset for converting a character to an entry in SEVENSEG
  e.g. 	'A' = 65
		'A'-ALPHA = 10
		SEVENSEG['A'-ALPHA]=character A
*/
#define ALPHA 55
#define NUM 48

/*
	Constants for special characters in SEVENSEG
*/
#define TOPO 36
#define SPIN0 37
#define BLANK 45
#define DASH 46
#define HORIZ 47
#define VERT 48
