//TIMER
#define MINTIME 1 

#ifndef slowMHZ
#define TMROFFSET 256 - 250
#else
#define TMROFFSET 256 - 125
#endif

/*
CALCULATE:

TMROFFSET = 256 - ((MINTIME/1000) * (FOSC / PRESCALE) )

WHERE:
PRESCALE=64 as set in inittimer()
MINTIME = 1  (in milliseconds)

FOSC=16000000 
*/

void inittimer(void);
int inttimerreached(int *nexttime, unsigned int period); // Period in msec
void wait(int period); // Period in msec
long gettmrms(void);
